## python-etcd3gw 0.2.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
urllib3>=1.15.1  # MIT
requests>=2.10.0,!=2.12.2,!=2.13.0  # Apache-2.0
six>=1.9.0  # MIT
futurist>=0.11.0,!=0.15.0  # Apache-2.0

=== debian/changelog ===
python-etcd3gw (0.2.1-3) unstable; urgency=medium

  * Add patch from Chris Lamb <lamby@debian.org> to make the build
    reproducible (Closes: #934918).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2019 12:32:47 +0200

python-etcd3gw (0.2.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https in Format
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #934441).

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Aug 2019 17:57:27 +0200

python-etcd3gw (0.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #890071)

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 20:34:12 +0100

=== debian/control ===
Source: python-etcd3gw
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-oslosphinx,
 python3-futurist,
 python3-nose,
 python3-oslotest,
 python3-pytest,
 python3-requests,
 python3-six,
 python3-testscenarios,
 python3-testtools,
 python3-urllib3,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-etcd3gw
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-etcd3gw.git
Homepage: https://github.com/dims/etcd3-gateway

Package: python-etcd3gw-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client for etcd3 grpc-gateway v3 API - doc
 A python client for etcd3 grpc-gateway v3alpha API.
 .
 This package contains the documentation.

Package: python3-etcd3gw
Architecture: all
Depends:
 python3-futurist,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-etcd3gw-doc,
Description: client for etcd3 grpc-gateway v3 API - Python 3.x
 A python client for etcd3 grpc-gateway v3alpha API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/dims/etcd3gw.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'etcd3gw\.tests.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-etcd3gw-doc/usr/share/doc/python-etcd3gw-doc/html
	dh_sphinxdoc
endif

## python-etcd3gw 0.2.5

=== debian/changelog ===
python-etcd3gw (0.2.5-1ubuntu1.22.04.1) jammy; urgency=medium

  * d/p/lp1965325-watch-avoid-double-decoding-in-python3.patch
    - avoid double decoding in python3 (LP: #1965325)

 -- Heather Lemon <heather.lemon@canonical.com>  Wed, 23 Mar 2022 14:21:07 +0000

python-etcd3gw (0.2.5-1ubuntu1) hirsute; urgency=medium

  * d/p/lp1900617-Include-resp.text-as-detail-in-all-etcd-exceptions.patch:
    include resp.text as exception detail (LP: #1900617)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 09 Mar 2021 09:46:53 -0500

python-etcd3gw (0.2.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Switch to new repo URL.
  * New upstream release (Closes: #980004).
  * Removed 0001_reproducible-build.patch applied upstream.
  * Add python3-mock as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2021 09:49:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: python-etcd3gw
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
- python3-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
+ python3-futurist,
  python3-hacking,
+ python3-mock,
+ python3-nose,
  python3-oslosphinx,
- python3-futurist,
- python3-nose,
  python3-oslotest,
  python3-pytest,
  python3-requests,
@@ -30,7 +32,7 @@
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-etcd3gw
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-etcd3gw.git
-Homepage: https://github.com/dims/etcd3-gateway
+Homepage: https://opendev.org/openstack/etcd3gw
 
 Package: python-etcd3gw-doc
 Section: doc

## python-etcd3gw 1.0.1

=== debian/changelog ===
python-etcd3gw (1.0.1-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 24 Mar 2022 10:40:30 +0000

python-etcd3gw (1.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:38:50 +0100

python-etcd3gw (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-openstackdocstheme build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Feb 2022 13:44:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-etcd3gw
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -19,6 +18,7 @@
  python3-hacking,
  python3-mock,
  python3-nose,
+ python3-openstackdocstheme,
  python3-oslosphinx,
  python3-oslotest,
  python3-pytest,

## python-etcd3gw 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
requests>=2.20.0  # Apache-2.0
futurist>=0.16.0  # Apache-2.0

=== debian/changelog ===
python-etcd3gw (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:27:47 +0200

python-etcd3gw (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 11:56:46 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  python3-oslotest,
  python3-pytest,
  python3-requests,
- python3-six,
  python3-testscenarios,
  python3-testtools,
  python3-urllib3,
@@ -51,7 +50,6 @@
  python3-futurist,
  python3-pbr,
  python3-requests,
- python3-six,
  python3-urllib3,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/dims/etcd3gw.git
+UPSTREAM_GIT := https://opendev.org/openstack/etcd3gw
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

## python-etcd3gw 2.1.0

=== debian/changelog ===
python-etcd3gw (2.1.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. (LP: #2045246) Remaining changes:
    - Fix an underscore.js related FTBFS.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 30 Nov 2023 08:47:52 +0000

python-etcd3gw (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:34:42 +0200

python-etcd3gw (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 14:13:34 +0200

python-etcd3gw (2.0.0-3) unstable; urgency=medium

  * Removed nose from build-depends (Closes: #1018487).
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Aug 2023 17:05:08 +0200

python-etcd3gw (0.2.5-1ubuntu2) kinetic; urgency=medium

  * d/p/lp1965325-watch-avoid-double-decoding-in-python3.patch
  - avoid double decoding in python3 (LP: #1965325) 

 -- Heather Lemon <heather.lemon@canonical.com>  Tue, 03 May 2022 15:23:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-etcd3gw
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -13,11 +14,11 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
+ libjs-underscore,
  python3-coverage,
  python3-futurist,
  python3-hacking,
  python3-mock,
- python3-nose,
  python3-openstackdocstheme,
  python3-oslosphinx,
  python3-oslotest,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -27,6 +27,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -b html doc/source debian/python-etcd3gw-doc/usr/share/doc/python-etcd3gw-doc/html
+	ln -s /usr/share/javascript/underscore/underscore.js debian/python-etcd3gw-doc/usr/share/doc/python-etcd3gw-doc/html/_static/
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Tests: unittests
Depends:
 @builddeps@,
 python3-all
Restrictions: allow-stderr needs-root

## python-etcd3gw 2.4.2

=== requirements.txt ===
pbr>=2.0 # Apache-2.0
requests>=2.20.0  # Apache-2.0
futurist>=0.16.0  # Apache-2.0

=== doc/requirements.txt ===
sphinx>=1.5.1 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=1.8.0 # Apache-2.0

=== debian/changelog ===
python-etcd3gw (2.4.2-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090499).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:58:08 +0100

python-etcd3gw (2.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:22:03 +0200

python-etcd3gw (2.4.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 17:45:50 +0200

python-etcd3gw (2.4.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 16:47:29 +0200

python-etcd3gw (2.4.0-3) unstable; urgency=medium

  * Remove extraneous dependency on python3-mock (Closes: #1069164).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 13:39:32 +0200

python-etcd3gw (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:12:53 +0200

python-etcd3gw (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 17:13:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-etcd3gw
 Section: python
 Priority: optional
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -14,11 +13,9 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- libjs-underscore,
  python3-coverage,
  python3-futurist,
  python3-hacking,
- python3-mock,
  python3-openstackdocstheme,
  python3-oslosphinx,
  python3-oslotest,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info
@@ -27,7 +27,6 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -b html doc/source debian/python-etcd3gw-doc/usr/share/doc/python-etcd3gw-doc/html
-	ln -s /usr/share/javascript/underscore/underscore.js debian/python-etcd3gw-doc/usr/share/doc/python-etcd3gw-doc/html/_static/
 	dh_sphinxdoc
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/etcd3gw/etcd3gw-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-etcd3gw 2.5.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0 # Apache-2.0
requests>=2.20.0  # Apache-2.0
futurist>=0.16.0  # Apache-2.0

=== debian/changelog ===
python-etcd3gw (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
  * d/control: Sync build dependencies.
  * d/rules: Clean .pybuild.
  * d/watch: update watch rules.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 26 Feb 2026 14:01:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
@@ -15,17 +16,12 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-futurist,
- python3-hacking,
  python3-openstackdocstheme,
  python3-oslosphinx,
  python3-oslotest,
- python3-pytest,
  python3-requests,
- python3-testscenarios,
- python3-testtools,
+ python3-stestr,
  python3-urllib3,
- subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-etcd3gw
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-etcd3gw.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
+	rm -rf build .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/etcd3gw refs/tags/(\d[brc\d\.]+)
